#import <Foundation/Foundation.h>
#import "OAIInlineResponse200.h"
#import "OAIInlineResponse2001.h"
#import "OAIInlineResponse2002.h"
#import "OAIInlineResponse2003.h"
#import "OAIInlineResponse2004.h"
#import "OAIInlineResponse2005.h"
#import "OAIInlineResponse401.h"
#import "OAIInstanceStatus.h"
#import "OAISettings.h"
#import "OAIApi.h"

/**
* Chat API SDK
* The SDK allows you to receive and send messages through your WhatsApp account. [Sign up now](https://app.chat-api.com/)  The Chat API is based on the WhatsApp WEB protocol and excludes the ban both when using libraries from mgp25 and the like. Despite this, your account can be banned by anti-spam system WhatsApp after several clicking the \"block\" button.
*
* The version of the OpenAPI document: 1.0.0
* Contact: sale@chat-api.com
*
* NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
* https://openapi-generator.tech
* Do not edit the class manually.
*/



@interface OAIClass1InstanceApi: NSObject <OAIApi>

extern NSString* kOAIClass1InstanceApiErrorDomain;
extern NSInteger kOAIClass1InstanceApiMissingParamErrorCode;

-(instancetype) initWithApiClient:(OAIApiClient *)apiClient NS_DESIGNATED_INITIALIZER;

/// Updates the QR code after its expired
/// 
///
/// 
///  code:200 message:"Server response example"
///
/// @return OAIInlineResponse2002*
-(NSURLSessionTask*) expiryWithCompletionHandler: 
    (void (^)(OAIInlineResponse2002* output, NSError* error)) handler;


/// Direct link to QR-code in the form of an image, not base64.
/// 
///
/// 
///  code:200 message:"QR code image"
///
/// @return NSURL*
-(NSURLSessionTask*) getQRCodeWithCompletionHandler: 
    (void (^)(NSURL* output, NSError* error)) handler;


/// Get settings
/// **webhookUrl** - Http or https URL for receiving notifications. For testing, we recommend using [our RequestBin](http://bin.chat-api.com).  **ackNotificationsOn** - Turn on/off ack (message delivered and message viewed) notifications in webhooks. GET method works for the same address.  **chatUpdateOn** - Turn on/off chat update notifications in webhooks. GET method works for the same address.  **videoUploadOn** - Turn on/off receiving video messages.  **proxy** - Socks5 IP address and port proxy for instance.  **guaranteedHooks** - Guarantee webhook delivery. Each webhook will make 20 attempts to send until it receives 200 status from the server.  **ignoreOldMessages** - Do not send webhooks with old messages during authorization.  **processArchive** - Process messages from archived chats.  **instanceStatuses** - Turn on/off collecting instance status changing history.  **webhookStatuses** - Turn on/off collecting messages webhooks statuses.  **statusNotificationsOn** - Turn on/off instance changind status notifications in webhooks.
///
/// 
///  code:200 message:"Server response example",
///  code:401 message:"Invalid token"
///
/// @return OAISettings*
-(NSURLSessionTask*) getSettingsWithCompletionHandler: 
    (void (^)(OAISettings* output, NSError* error)) handler;


/// Get the account status and QR code for authorization.
/// Reauthorization is necessary only in case of changing the device or manually pressing \"Logout on all devices\" on the phone. Keep the WhastsApp application open during authorization.  Instance statuses:  **authenticated** -  Authorization passed successfully  **init** -  Initial status   **loading** -  The system is still loading, try again in 1 minute   **got qr code** -  There is a QR code and you need to take a picture of it in the Whatsapp application by going to Menu -> WhatsApp Web -> Add. QR code is valid for one minute.   [Example showing base64 images on a page.](https://stackoverflow.com/questions/31526085/how-to-encode-an-image-into-an-html-file)  Manually easier to get [QR-code as an image](/#getQRCode)    When you request the status of the instance in standby mode (status **\"init\"**), it will automatically turn on. To avoid this behavior, use the **no_wakeup** parameter
///
/// @param full Get full information on the current status (optional) (default to @(NO))
/// @param noWakeup Ignore autowakeup (optional) (default to @(NO))
/// 
///  code:200 message:"Server response example"
///
/// @return OAIInstanceStatus*
-(NSURLSessionTask*) getStatusWithFull: (NSNumber*) full
    noWakeup: (NSNumber*) noWakeup
    completionHandler: (void (^)(OAIInstanceStatus* output, NSError* error)) handler;


/// Logout from WhatsApp Web to get new QR code.
/// 
///
/// 
///  code:200 message:"Server response example"
///
/// @return OAIInlineResponse200*
-(NSURLSessionTask*) logoutWithCompletionHandler: 
    (void (^)(OAIInlineResponse200* output, NSError* error)) handler;


/// Reboot your whatsapp instance.
/// 
///
/// 
///  code:200 message:"Server response example"
///
/// @return OAIInlineResponse2004*
-(NSURLSessionTask*) rebootWithCompletionHandler: 
    (void (^)(OAIInlineResponse2004* output, NSError* error)) handler;


/// Repeat the manual synchronization attempt with the device
/// 
///
/// 
///  code:200 message:"Server response example"
///
/// @return OAIInlineResponse2003*
-(NSURLSessionTask*) retryWithCompletionHandler: 
    (void (^)(OAIInlineResponse2003* output, NSError* error)) handler;


/// Set settings
/// **webhookUrl** - Http or https URL for receiving notifications. For testing, we recommend using [our RequestBin](http://bin.chat-api.com).  **ackNotificationsOn** - Turn on/off ack (message delivered and message viewed) notifications in webhooks. GET method works for the same address.  **chatUpdateOn** - Turn on/off chat update notifications in webhooks. GET method works for the same address.  **videoUploadOn** - Turn on/off receiving video messages.  **proxy** - Socks5 IP address and port proxy for instance.  **guaranteedHooks** - Guarantee webhook delivery. Each webhook will make 20 attempts to send until it receives 200 status from the server.  **ignoreOldMessages** - Do not send webhooks with old messages during authorization.  **processArchive** - Process messages from archived chats.  **instanceStatuses** - Turn on/off collecting instance status changing history.  **webhookStatuses** - Turn on/off collecting messages webhooks statuses.  **statusNotificationsOn** - Turn on/off instance changind status notifications in webhooks.
///
/// @param settings 
/// 
///  code:200 message:"Server response example",
///  code:401 message:"Invalid token"
///
/// @return OAIInlineResponse2005*
-(NSURLSessionTask*) setSettingsWithSettings: (OAISettings*) settings
    completionHandler: (void (^)(OAIInlineResponse2005* output, NSError* error)) handler;


/// Returns the active session if the device has connected another instance of Web WhatsApp
/// 
///
/// 
///  code:200 message:"Server response example"
///
/// @return OAIInlineResponse2001*
-(NSURLSessionTask*) takeoverWithCompletionHandler: 
    (void (^)(OAIInlineResponse2001* output, NSError* error)) handler;



@end
