#import <Foundation/Foundation.h>
#import "OAIChats.h"
#import "OAICreateGroupAction.h"
#import "OAICreateGroupStatus.h"
#import "OAIGroupParticipantAction.h"
#import "OAIGroupParticipantStatus.h"
#import "OAIReadChatAction.h"
#import "OAIReadChatStatus.h"
#import "OAIApi.h"

/**
* Chat API SDK
* The SDK allows you to receive and send messages through your WhatsApp account. [Sign up now](https://app.chat-api.com/)  The Chat API is based on the WhatsApp WEB protocol and excludes the ban both when using libraries from mgp25 and the like. Despite this, your account can be banned by anti-spam system WhatsApp after several clicking the \"block\" button.
*
* The version of the OpenAPI document: 1.0.0
* Contact: sale@chat-api.com
*
* NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
* https://openapi-generator.tech
* Do not edit the class manually.
*/



@interface OAIClass3ChatsApi: NSObject <OAIApi>

extern NSString* kOAIClass3ChatsApiErrorDomain;
extern NSInteger kOAIClass3ChatsApiMissingParamErrorCode;

-(instancetype) initWithApiClient:(OAIApiClient *)apiClient NS_DESIGNATED_INITIALIZER;

/// Adding participant to a group
/// 
///
/// @param groupParticipantAction 
/// 
///  code:200 message:"Server response example"
///
/// @return OAIGroupParticipantStatus*
-(NSURLSessionTask*) addGroupParticipantWithGroupParticipantAction: (OAIGroupParticipantAction*) groupParticipantAction
    completionHandler: (void (^)(OAIGroupParticipantStatus* output, NSError* error)) handler;


/// Demote group participant
/// 
///
/// @param groupParticipantAction 
/// 
///  code:200 message:"Server response example"
///
/// @return OAIGroupParticipantStatus*
-(NSURLSessionTask*) demoteGroupParticipantWithGroupParticipantAction: (OAIGroupParticipantAction*) groupParticipantAction
    completionHandler: (void (^)(OAIGroupParticipantStatus* output, NSError* error)) handler;


/// Get the chat list.
/// The chat list includes avatars.
///
/// 
///  code:200 message:"Server response example"
///
/// @return OAIChats*
-(NSURLSessionTask*) getChatsWithCompletionHandler: 
    (void (^)(OAIChats* output, NSError* error)) handler;


/// Creates a group and sends the message to the created group.
/// The group will be added to the queue for sending and sooner or later it will be created, even if the phone is disconnected from the Internet or the authorization is not passed.   2 Oct 2018 update: chatId parameter will be returned if group was created on your phone within 20 second.
///
/// @param createGroupAction 
/// 
///  code:200 message:"Server response example"
///
/// @return OAICreateGroupStatus*
-(NSURLSessionTask*) groupWithCreateGroupAction: (OAICreateGroupAction*) createGroupAction
    completionHandler: (void (^)(OAICreateGroupStatus* output, NSError* error)) handler;


/// Make participant in the group an administrator
/// 
///
/// @param groupParticipantAction 
/// 
///  code:200 message:"Server response example"
///
/// @return OAIGroupParticipantStatus*
-(NSURLSessionTask*) promoteGroupParticipantWithGroupParticipantAction: (OAIGroupParticipantAction*) groupParticipantAction
    completionHandler: (void (^)(OAIGroupParticipantStatus* output, NSError* error)) handler;


/// Open chat for reading messages
/// Use this method to make users see their messages read.
///
/// @param readChatAction 
/// 
///  code:200 message:"Server response example"
///
/// @return OAIReadChatStatus*
-(NSURLSessionTask*) readChatWithReadChatAction: (OAIReadChatAction*) readChatAction
    completionHandler: (void (^)(OAIReadChatStatus* output, NSError* error)) handler;


/// Remove participant from a group
/// 
///
/// @param groupParticipantAction 
/// 
///  code:200 message:"Server response example"
///
/// @return OAIGroupParticipantStatus*
-(NSURLSessionTask*) removeGroupParticipantWithGroupParticipantAction: (OAIGroupParticipantAction*) groupParticipantAction
    completionHandler: (void (^)(OAIGroupParticipantStatus* output, NSError* error)) handler;



@end
