#import <Foundation/Foundation.h>
#import "OAISetWebhookStatus.h"
#import "OAIWebhookUrl.h"
#import "OAIApi.h"

/**
* Chat API SDK
* The SDK allows you to receive and send messages through your WhatsApp account. [Sign up now](https://app.chat-api.com/)  The Chat API is based on the WhatsApp WEB protocol and excludes the ban both when using libraries from mgp25 and the like. Despite this, your account can be banned by anti-spam system WhatsApp after several clicking the \"block\" button.
*
* The version of the OpenAPI document: 1.0.0
* Contact: sale@chat-api.com
*
* NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
* https://openapi-generator.tech
* Do not edit the class manually.
*/



@interface OAIClass4WebhooksApi: NSObject <OAIApi>

extern NSString* kOAIClass4WebhooksApiErrorDomain;
extern NSInteger kOAIClass4WebhooksApiMissingParamErrorCode;

-(instancetype) initWithApiClient:(OAIApiClient *)apiClient NS_DESIGNATED_INITIALIZER;

/// Sets the URL for receiving webhook
/// Sets the URL for receiving webhook notifications of new messages and message delivery events (ack).  **API responses in \"Callbacks\" tab**
///
/// @param webhookUrl 
/// 
///  code:200 message:"Server response example"
///
/// @return OAISetWebhookStatus*
-(NSURLSessionTask*) setWebhookWithWebhookUrl: (OAIWebhookUrl*) webhookUrl
    completionHandler: (void (^)(OAISetWebhookStatus* output, NSError* error)) handler;



@end
