#import <Foundation/Foundation.h>
#import "OAIClearActionsQueueStatus.h"
#import "OAIClearMessagesQueueStatus.h"
#import "OAIOutboundActions.h"
#import "OAIOutboundMessages.h"
#import "OAIApi.h"

/**
* Chat API SDK
* The SDK allows you to receive and send messages through your WhatsApp account. [Sign up now](https://app.chat-api.com/)  The Chat API is based on the WhatsApp WEB protocol and excludes the ban both when using libraries from mgp25 and the like. Despite this, your account can be banned by anti-spam system WhatsApp after several clicking the \"block\" button.
*
* The version of the OpenAPI document: 1.0.0
* Contact: sale@chat-api.com
*
* NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
* https://openapi-generator.tech
* Do not edit the class manually.
*/



@interface OAIClass5QueuesApi: NSObject <OAIApi>

extern NSString* kOAIClass5QueuesApiErrorDomain;
extern NSInteger kOAIClass5QueuesApiMissingParamErrorCode;

-(instancetype) initWithApiClient:(OAIApiClient *)apiClient NS_DESIGNATED_INITIALIZER;

/// Clear outbound actions queue.
/// This method is needed when you accidentally sent thousands of actions in a row.
///
/// 
///  code:200 message:"Server response example"
///
/// @return OAIClearActionsQueueStatus*
-(NSURLSessionTask*) clearActionsQueueWithCompletionHandler: 
    (void (^)(OAIClearActionsQueueStatus* output, NSError* error)) handler;


/// Clear outbound messages queue.
/// This method is needed when you accidentally sent thousands of messages in a row.
///
/// 
///  code:200 message:"Server response example"
///
/// @return OAIClearMessagesQueueStatus*
-(NSURLSessionTask*) clearMessagesQueueWithCompletionHandler: 
    (void (^)(OAIClearMessagesQueueStatus* output, NSError* error)) handler;


/// Get outbound messages queue.
/// When you create an action, all actions are queued up. If an action is not executed, it remains in the queue and will be sent for execution in time. again. The action cannot be executed due to the status of the device connected to the account.  This method give the last 100 actions in the queue.
///
/// 
///  code:200 message:"Server response example"
///
/// @return OAIOutboundActions*
-(NSURLSessionTask*) showActionsQueueWithCompletionHandler: 
    (void (^)(OAIOutboundActions* output, NSError* error)) handler;


/// Get outbound messages queue.
/// When sending messages, all messages are in the queue. If the message is not sent, then it remains in the queue and in time it will be sent again. The message may not be sent due to the status of the device connected to the account.   This method give the last 100 messages in the queue.
///
/// 
///  code:200 message:"Server response example"
///
/// @return OAIOutboundMessages*
-(NSURLSessionTask*) showMessagesQueueWithCompletionHandler: 
    (void (^)(OAIOutboundMessages* output, NSError* error)) handler;



@end
