#import <Foundation/Foundation.h>
#import "OAIBanSettings.h"
#import "OAIBanTestAction.h"
#import "OAIBanTestStatus.h"
#import "OAIApi.h"

/**
* Chat API SDK
* The SDK allows you to receive and send messages through your WhatsApp account. [Sign up now](https://app.chat-api.com/)  The Chat API is based on the WhatsApp WEB protocol and excludes the ban both when using libraries from mgp25 and the like. Despite this, your account can be banned by anti-spam system WhatsApp after several clicking the \"block\" button.
*
* The version of the OpenAPI document: 1.0.0
* Contact: sale@chat-api.com
*
* NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
* https://openapi-generator.tech
* Do not edit the class manually.
*/



@interface OAIClass6BanApi: NSObject <OAIApi>

extern NSString* kOAIClass6BanApiErrorDomain;
extern NSInteger kOAIClass6BanApiMissingParamErrorCode;

-(instancetype) initWithApiClient:(OAIApiClient *)apiClient NS_DESIGNATED_INITIALIZER;

/// Test ban settings
/// Send the phone number to find out if the instance is banning it
///
/// @param banTestAction 
/// 
///  code:200 message:"Server response example"
///
/// @return OAIBanTestStatus*
-(NSURLSessionTask*) banTestWithBanTestAction: (OAIBanTestAction*) banTestAction
    completionHandler: (void (^)(OAIBanTestStatus* output, NSError* error)) handler;


/// Get settings
/// **banPhoneMask** - Regular expression on which bans on numbers will be sent  **preBanMessage** - Warning message If it is set, a message will be sent before sending the ban.
///
/// 
///  code:200 message:"Server response example"
///
/// @return OAIBanSettings*
-(NSURLSessionTask*) getBanSettingsWithCompletionHandler: 
    (void (^)(OAIBanSettings* output, NSError* error)) handler;


/// Set settings
/// **banPhoneMask** - Regular expression on which bans on numbers will be sent  **preBanMessage** - Warning message If it is set, a message will be sent before sending the ban.
///
/// @param banSettings 
/// 
///  code:200 message:"Server response example"
///
/// @return OAIBanSettings*
-(NSURLSessionTask*) setBanSettingsWithBanSettings: (OAIBanSettings*) banSettings
    completionHandler: (void (^)(OAIBanSettings* output, NSError* error)) handler;



@end
