#import <Foundation/Foundation.h>
#import "OAIStatuses.h"
#import "OAIWebhookStatus.h"
#import "OAIApi.h"

/**
* Chat API SDK
* The SDK allows you to receive and send messages through your WhatsApp account. [Sign up now](https://app.chat-api.com/)  The Chat API is based on the WhatsApp WEB protocol and excludes the ban both when using libraries from mgp25 and the like. Despite this, your account can be banned by anti-spam system WhatsApp after several clicking the \"block\" button.
*
* The version of the OpenAPI document: 1.0.0
* Contact: sale@chat-api.com
*
* NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
* https://openapi-generator.tech
* Do not edit the class manually.
*/



@interface OAIClass7TestingApi: NSObject <OAIApi>

extern NSString* kOAIClass7TestingApiErrorDomain;
extern NSInteger kOAIClass7TestingApiMissingParamErrorCode;

-(instancetype) initWithApiClient:(OAIApiClient *)apiClient NS_DESIGNATED_INITIALIZER;

/// Returns instance status changes history.
/// Requires enable \"instanceStatuses\" option for collecting data.
///
/// @param minTime Filter statuses received after specified date. Example: 946684800. (optional)
/// @param maxTime Filter statuses received before specified date. Example: 946684800. (optional)
/// 
///  code:200 message:"Server response example"
///
/// @return OAIStatuses*
-(NSURLSessionTask*) instanceStatusesWithMinTime: (NSNumber*) minTime
    maxTime: (NSNumber*) maxTime
    completionHandler: (void (^)(OAIStatuses* output, NSError* error)) handler;


/// Returns webhook status for message.
/// Requires enable \"webhookStatuses\" option for collecting data.
///
/// @param msgId Message ID. Example: false_17472822486@c.us_DF38E6A25B42CC8CCE57EC40F.
/// 
///  code:200 message:"Server response example"
///
/// @return OAIWebhookStatus*
-(NSURLSessionTask*) webhookStatusesWithMsgId: (NSString*) msgId
    completionHandler: (void (^)(OAIWebhookStatus* output, NSError* error)) handler;



@end
