# OAIClass3ChatsApi

All URIs are relative to *https://api.chat-api.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**addGroupParticipant**](OAIClass3ChatsApi.md#addgroupparticipant) | **POST** /addGroupParticipant | Adding participant to a group
[**demoteGroupParticipant**](OAIClass3ChatsApi.md#demotegroupparticipant) | **POST** /demoteGroupParticipant | Demote group participant
[**getChats**](OAIClass3ChatsApi.md#getchats) | **GET** /dialogs | Get the chat list.
[**group**](OAIClass3ChatsApi.md#group) | **POST** /group | Creates a group and sends the message to the created group.
[**promoteGroupParticipant**](OAIClass3ChatsApi.md#promotegroupparticipant) | **POST** /promoteGroupParticipant | Make participant in the group an administrator
[**readChat**](OAIClass3ChatsApi.md#readchat) | **POST** /readChat | Open chat for reading messages
[**removeGroupParticipant**](OAIClass3ChatsApi.md#removegroupparticipant) | **POST** /removeGroupParticipant | Remove participant from a group


# **addGroupParticipant**
```objc
-(NSURLSessionTask*) addGroupParticipantWithGroupParticipantAction: (OAIGroupParticipantAction*) groupParticipantAction
        completionHandler: (void (^)(OAIGroupParticipantStatus* output, NSError* error)) handler;
```

Adding participant to a group

### Example 
```objc
OAIDefaultConfiguration *apiConfig = [OAIDefaultConfiguration sharedConfig];

// Configure API key authorization: (authentication scheme: instanceId)
[apiConfig setApiKey:@"YOUR_API_KEY" forApiKeyIdentifier:@"instanceId"];
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//[apiConfig setApiKeyPrefix:@"Bearer" forApiKeyIdentifier:@"instanceId"];

// Configure API key authorization: (authentication scheme: token)
[apiConfig setApiKey:@"YOUR_API_KEY" forApiKeyIdentifier:@"token"];
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//[apiConfig setApiKeyPrefix:@"Bearer" forApiKeyIdentifier:@"token"];


OAIGroupParticipantAction* groupParticipantAction = [[OAIGroupParticipantAction alloc] init]; // 

OAIClass3ChatsApi*apiInstance = [[OAIClass3ChatsApi alloc] init];

// Adding participant to a group
[apiInstance addGroupParticipantWithGroupParticipantAction:groupParticipantAction
          completionHandler: ^(OAIGroupParticipantStatus* output, NSError* error) {
                        if (output) {
                            NSLog(@"%@", output);
                        }
                        if (error) {
                            NSLog(@"Error calling OAIClass3ChatsApi->addGroupParticipant: %@", error);
                        }
                    }];
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **groupParticipantAction** | [**OAIGroupParticipantAction***](OAIGroupParticipantAction.md)|  | 

### Return type

[**OAIGroupParticipantStatus***](OAIGroupParticipantStatus.md)

### Authorization

[instanceId](../README.md#instanceId), [token](../README.md#token)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded, application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **demoteGroupParticipant**
```objc
-(NSURLSessionTask*) demoteGroupParticipantWithGroupParticipantAction: (OAIGroupParticipantAction*) groupParticipantAction
        completionHandler: (void (^)(OAIGroupParticipantStatus* output, NSError* error)) handler;
```

Demote group participant

### Example 
```objc
OAIDefaultConfiguration *apiConfig = [OAIDefaultConfiguration sharedConfig];

// Configure API key authorization: (authentication scheme: instanceId)
[apiConfig setApiKey:@"YOUR_API_KEY" forApiKeyIdentifier:@"instanceId"];
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//[apiConfig setApiKeyPrefix:@"Bearer" forApiKeyIdentifier:@"instanceId"];

// Configure API key authorization: (authentication scheme: token)
[apiConfig setApiKey:@"YOUR_API_KEY" forApiKeyIdentifier:@"token"];
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//[apiConfig setApiKeyPrefix:@"Bearer" forApiKeyIdentifier:@"token"];


OAIGroupParticipantAction* groupParticipantAction = [[OAIGroupParticipantAction alloc] init]; // 

OAIClass3ChatsApi*apiInstance = [[OAIClass3ChatsApi alloc] init];

// Demote group participant
[apiInstance demoteGroupParticipantWithGroupParticipantAction:groupParticipantAction
          completionHandler: ^(OAIGroupParticipantStatus* output, NSError* error) {
                        if (output) {
                            NSLog(@"%@", output);
                        }
                        if (error) {
                            NSLog(@"Error calling OAIClass3ChatsApi->demoteGroupParticipant: %@", error);
                        }
                    }];
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **groupParticipantAction** | [**OAIGroupParticipantAction***](OAIGroupParticipantAction.md)|  | 

### Return type

[**OAIGroupParticipantStatus***](OAIGroupParticipantStatus.md)

### Authorization

[instanceId](../README.md#instanceId), [token](../README.md#token)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded, application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getChats**
```objc
-(NSURLSessionTask*) getChatsWithCompletionHandler: 
        (void (^)(OAIChats* output, NSError* error)) handler;
```

Get the chat list.

The chat list includes avatars.

### Example 
```objc
OAIDefaultConfiguration *apiConfig = [OAIDefaultConfiguration sharedConfig];

// Configure API key authorization: (authentication scheme: instanceId)
[apiConfig setApiKey:@"YOUR_API_KEY" forApiKeyIdentifier:@"instanceId"];
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//[apiConfig setApiKeyPrefix:@"Bearer" forApiKeyIdentifier:@"instanceId"];

// Configure API key authorization: (authentication scheme: token)
[apiConfig setApiKey:@"YOUR_API_KEY" forApiKeyIdentifier:@"token"];
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//[apiConfig setApiKeyPrefix:@"Bearer" forApiKeyIdentifier:@"token"];



OAIClass3ChatsApi*apiInstance = [[OAIClass3ChatsApi alloc] init];

// Get the chat list.
[apiInstance getChatsWithCompletionHandler: 
          ^(OAIChats* output, NSError* error) {
                        if (output) {
                            NSLog(@"%@", output);
                        }
                        if (error) {
                            NSLog(@"Error calling OAIClass3ChatsApi->getChats: %@", error);
                        }
                    }];
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**OAIChats***](OAIChats.md)

### Authorization

[instanceId](../README.md#instanceId), [token](../README.md#token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **group**
```objc
-(NSURLSessionTask*) groupWithCreateGroupAction: (OAICreateGroupAction*) createGroupAction
        completionHandler: (void (^)(OAICreateGroupStatus* output, NSError* error)) handler;
```

Creates a group and sends the message to the created group.

The group will be added to the queue for sending and sooner or later it will be created, even if the phone is disconnected from the Internet or the authorization is not passed.   2 Oct 2018 update: chatId parameter will be returned if group was created on your phone within 20 second.

### Example 
```objc
OAIDefaultConfiguration *apiConfig = [OAIDefaultConfiguration sharedConfig];

// Configure API key authorization: (authentication scheme: instanceId)
[apiConfig setApiKey:@"YOUR_API_KEY" forApiKeyIdentifier:@"instanceId"];
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//[apiConfig setApiKeyPrefix:@"Bearer" forApiKeyIdentifier:@"instanceId"];

// Configure API key authorization: (authentication scheme: token)
[apiConfig setApiKey:@"YOUR_API_KEY" forApiKeyIdentifier:@"token"];
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//[apiConfig setApiKeyPrefix:@"Bearer" forApiKeyIdentifier:@"token"];


OAICreateGroupAction* createGroupAction = [[OAICreateGroupAction alloc] init]; // 

OAIClass3ChatsApi*apiInstance = [[OAIClass3ChatsApi alloc] init];

// Creates a group and sends the message to the created group.
[apiInstance groupWithCreateGroupAction:createGroupAction
          completionHandler: ^(OAICreateGroupStatus* output, NSError* error) {
                        if (output) {
                            NSLog(@"%@", output);
                        }
                        if (error) {
                            NSLog(@"Error calling OAIClass3ChatsApi->group: %@", error);
                        }
                    }];
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **createGroupAction** | [**OAICreateGroupAction***](OAICreateGroupAction.md)|  | 

### Return type

[**OAICreateGroupStatus***](OAICreateGroupStatus.md)

### Authorization

[instanceId](../README.md#instanceId), [token](../README.md#token)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded, application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **promoteGroupParticipant**
```objc
-(NSURLSessionTask*) promoteGroupParticipantWithGroupParticipantAction: (OAIGroupParticipantAction*) groupParticipantAction
        completionHandler: (void (^)(OAIGroupParticipantStatus* output, NSError* error)) handler;
```

Make participant in the group an administrator

### Example 
```objc
OAIDefaultConfiguration *apiConfig = [OAIDefaultConfiguration sharedConfig];

// Configure API key authorization: (authentication scheme: instanceId)
[apiConfig setApiKey:@"YOUR_API_KEY" forApiKeyIdentifier:@"instanceId"];
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//[apiConfig setApiKeyPrefix:@"Bearer" forApiKeyIdentifier:@"instanceId"];

// Configure API key authorization: (authentication scheme: token)
[apiConfig setApiKey:@"YOUR_API_KEY" forApiKeyIdentifier:@"token"];
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//[apiConfig setApiKeyPrefix:@"Bearer" forApiKeyIdentifier:@"token"];


OAIGroupParticipantAction* groupParticipantAction = [[OAIGroupParticipantAction alloc] init]; // 

OAIClass3ChatsApi*apiInstance = [[OAIClass3ChatsApi alloc] init];

// Make participant in the group an administrator
[apiInstance promoteGroupParticipantWithGroupParticipantAction:groupParticipantAction
          completionHandler: ^(OAIGroupParticipantStatus* output, NSError* error) {
                        if (output) {
                            NSLog(@"%@", output);
                        }
                        if (error) {
                            NSLog(@"Error calling OAIClass3ChatsApi->promoteGroupParticipant: %@", error);
                        }
                    }];
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **groupParticipantAction** | [**OAIGroupParticipantAction***](OAIGroupParticipantAction.md)|  | 

### Return type

[**OAIGroupParticipantStatus***](OAIGroupParticipantStatus.md)

### Authorization

[instanceId](../README.md#instanceId), [token](../README.md#token)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded, application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **readChat**
```objc
-(NSURLSessionTask*) readChatWithReadChatAction: (OAIReadChatAction*) readChatAction
        completionHandler: (void (^)(OAIReadChatStatus* output, NSError* error)) handler;
```

Open chat for reading messages

Use this method to make users see their messages read.

### Example 
```objc
OAIDefaultConfiguration *apiConfig = [OAIDefaultConfiguration sharedConfig];

// Configure API key authorization: (authentication scheme: instanceId)
[apiConfig setApiKey:@"YOUR_API_KEY" forApiKeyIdentifier:@"instanceId"];
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//[apiConfig setApiKeyPrefix:@"Bearer" forApiKeyIdentifier:@"instanceId"];

// Configure API key authorization: (authentication scheme: token)
[apiConfig setApiKey:@"YOUR_API_KEY" forApiKeyIdentifier:@"token"];
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//[apiConfig setApiKeyPrefix:@"Bearer" forApiKeyIdentifier:@"token"];


OAIReadChatAction* readChatAction = [[OAIReadChatAction alloc] init]; // 

OAIClass3ChatsApi*apiInstance = [[OAIClass3ChatsApi alloc] init];

// Open chat for reading messages
[apiInstance readChatWithReadChatAction:readChatAction
          completionHandler: ^(OAIReadChatStatus* output, NSError* error) {
                        if (output) {
                            NSLog(@"%@", output);
                        }
                        if (error) {
                            NSLog(@"Error calling OAIClass3ChatsApi->readChat: %@", error);
                        }
                    }];
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **readChatAction** | [**OAIReadChatAction***](OAIReadChatAction.md)|  | 

### Return type

[**OAIReadChatStatus***](OAIReadChatStatus.md)

### Authorization

[instanceId](../README.md#instanceId), [token](../README.md#token)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded, application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **removeGroupParticipant**
```objc
-(NSURLSessionTask*) removeGroupParticipantWithGroupParticipantAction: (OAIGroupParticipantAction*) groupParticipantAction
        completionHandler: (void (^)(OAIGroupParticipantStatus* output, NSError* error)) handler;
```

Remove participant from a group

### Example 
```objc
OAIDefaultConfiguration *apiConfig = [OAIDefaultConfiguration sharedConfig];

// Configure API key authorization: (authentication scheme: instanceId)
[apiConfig setApiKey:@"YOUR_API_KEY" forApiKeyIdentifier:@"instanceId"];
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//[apiConfig setApiKeyPrefix:@"Bearer" forApiKeyIdentifier:@"instanceId"];

// Configure API key authorization: (authentication scheme: token)
[apiConfig setApiKey:@"YOUR_API_KEY" forApiKeyIdentifier:@"token"];
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//[apiConfig setApiKeyPrefix:@"Bearer" forApiKeyIdentifier:@"token"];


OAIGroupParticipantAction* groupParticipantAction = [[OAIGroupParticipantAction alloc] init]; // 

OAIClass3ChatsApi*apiInstance = [[OAIClass3ChatsApi alloc] init];

// Remove participant from a group
[apiInstance removeGroupParticipantWithGroupParticipantAction:groupParticipantAction
          completionHandler: ^(OAIGroupParticipantStatus* output, NSError* error) {
                        if (output) {
                            NSLog(@"%@", output);
                        }
                        if (error) {
                            NSLog(@"Error calling OAIClass3ChatsApi->removeGroupParticipant: %@", error);
                        }
                    }];
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **groupParticipantAction** | [**OAIGroupParticipantAction***](OAIGroupParticipantAction.md)|  | 

### Return type

[**OAIGroupParticipantStatus***](OAIGroupParticipantStatus.md)

### Authorization

[instanceId](../README.md#instanceId), [token](../README.md#token)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded, application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

