# OAIClass4WebhooksApi

All URIs are relative to *https://api.chat-api.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**setWebhook**](OAIClass4WebhooksApi.md#setwebhook) | **POST** /webhook | Sets the URL for receiving webhook


# **setWebhook**
```objc
-(NSURLSessionTask*) setWebhookWithWebhookUrl: (OAIWebhookUrl*) webhookUrl
        completionHandler: (void (^)(OAISetWebhookStatus* output, NSError* error)) handler;
```

Sets the URL for receiving webhook

Sets the URL for receiving webhook notifications of new messages and message delivery events (ack).  **API responses in \"Callbacks\" tab**

### Example 
```objc
OAIDefaultConfiguration *apiConfig = [OAIDefaultConfiguration sharedConfig];

// Configure API key authorization: (authentication scheme: instanceId)
[apiConfig setApiKey:@"YOUR_API_KEY" forApiKeyIdentifier:@"instanceId"];
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//[apiConfig setApiKeyPrefix:@"Bearer" forApiKeyIdentifier:@"instanceId"];

// Configure API key authorization: (authentication scheme: token)
[apiConfig setApiKey:@"YOUR_API_KEY" forApiKeyIdentifier:@"token"];
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//[apiConfig setApiKeyPrefix:@"Bearer" forApiKeyIdentifier:@"token"];


OAIWebhookUrl* webhookUrl = [[OAIWebhookUrl alloc] init]; // 

OAIClass4WebhooksApi*apiInstance = [[OAIClass4WebhooksApi alloc] init];

// Sets the URL for receiving webhook
[apiInstance setWebhookWithWebhookUrl:webhookUrl
          completionHandler: ^(OAISetWebhookStatus* output, NSError* error) {
                        if (output) {
                            NSLog(@"%@", output);
                        }
                        if (error) {
                            NSLog(@"Error calling OAIClass4WebhooksApi->setWebhook: %@", error);
                        }
                    }];
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **webhookUrl** | [**OAIWebhookUrl***](OAIWebhookUrl.md)|  | 

### Return type

[**OAISetWebhookStatus***](OAISetWebhookStatus.md)

### Authorization

[instanceId](../README.md#instanceId), [token](../README.md#token)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded, application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

