# OAIClass6BanApi

All URIs are relative to *https://api.chat-api.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**banTest**](OAIClass6BanApi.md#bantest) | **POST** /banTest | Test ban settings
[**getBanSettings**](OAIClass6BanApi.md#getbansettings) | **GET** /banSettings | Get settings
[**setBanSettings**](OAIClass6BanApi.md#setbansettings) | **POST** /banSettings | Set settings


# **banTest**
```objc
-(NSURLSessionTask*) banTestWithBanTestAction: (OAIBanTestAction*) banTestAction
        completionHandler: (void (^)(OAIBanTestStatus* output, NSError* error)) handler;
```

Test ban settings

Send the phone number to find out if the instance is banning it

### Example 
```objc
OAIDefaultConfiguration *apiConfig = [OAIDefaultConfiguration sharedConfig];

// Configure API key authorization: (authentication scheme: instanceId)
[apiConfig setApiKey:@"YOUR_API_KEY" forApiKeyIdentifier:@"instanceId"];
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//[apiConfig setApiKeyPrefix:@"Bearer" forApiKeyIdentifier:@"instanceId"];

// Configure API key authorization: (authentication scheme: token)
[apiConfig setApiKey:@"YOUR_API_KEY" forApiKeyIdentifier:@"token"];
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//[apiConfig setApiKeyPrefix:@"Bearer" forApiKeyIdentifier:@"token"];


OAIBanTestAction* banTestAction = [[OAIBanTestAction alloc] init]; // 

OAIClass6BanApi*apiInstance = [[OAIClass6BanApi alloc] init];

// Test ban settings
[apiInstance banTestWithBanTestAction:banTestAction
          completionHandler: ^(OAIBanTestStatus* output, NSError* error) {
                        if (output) {
                            NSLog(@"%@", output);
                        }
                        if (error) {
                            NSLog(@"Error calling OAIClass6BanApi->banTest: %@", error);
                        }
                    }];
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **banTestAction** | [**OAIBanTestAction***](OAIBanTestAction.md)|  | 

### Return type

[**OAIBanTestStatus***](OAIBanTestStatus.md)

### Authorization

[instanceId](../README.md#instanceId), [token](../README.md#token)

### HTTP request headers

 - **Content-Type**: application/json, application/x-www-form-urlencoded
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getBanSettings**
```objc
-(NSURLSessionTask*) getBanSettingsWithCompletionHandler: 
        (void (^)(OAIBanSettings* output, NSError* error)) handler;
```

Get settings

**banPhoneMask** - Regular expression on which bans on numbers will be sent  **preBanMessage** - Warning message If it is set, a message will be sent before sending the ban.

### Example 
```objc
OAIDefaultConfiguration *apiConfig = [OAIDefaultConfiguration sharedConfig];

// Configure API key authorization: (authentication scheme: instanceId)
[apiConfig setApiKey:@"YOUR_API_KEY" forApiKeyIdentifier:@"instanceId"];
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//[apiConfig setApiKeyPrefix:@"Bearer" forApiKeyIdentifier:@"instanceId"];

// Configure API key authorization: (authentication scheme: token)
[apiConfig setApiKey:@"YOUR_API_KEY" forApiKeyIdentifier:@"token"];
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//[apiConfig setApiKeyPrefix:@"Bearer" forApiKeyIdentifier:@"token"];



OAIClass6BanApi*apiInstance = [[OAIClass6BanApi alloc] init];

// Get settings
[apiInstance getBanSettingsWithCompletionHandler: 
          ^(OAIBanSettings* output, NSError* error) {
                        if (output) {
                            NSLog(@"%@", output);
                        }
                        if (error) {
                            NSLog(@"Error calling OAIClass6BanApi->getBanSettings: %@", error);
                        }
                    }];
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**OAIBanSettings***](OAIBanSettings.md)

### Authorization

[instanceId](../README.md#instanceId), [token](../README.md#token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **setBanSettings**
```objc
-(NSURLSessionTask*) setBanSettingsWithBanSettings: (OAIBanSettings*) banSettings
        completionHandler: (void (^)(OAIBanSettings* output, NSError* error)) handler;
```

Set settings

**banPhoneMask** - Regular expression on which bans on numbers will be sent  **preBanMessage** - Warning message If it is set, a message will be sent before sending the ban.

### Example 
```objc
OAIDefaultConfiguration *apiConfig = [OAIDefaultConfiguration sharedConfig];

// Configure API key authorization: (authentication scheme: instanceId)
[apiConfig setApiKey:@"YOUR_API_KEY" forApiKeyIdentifier:@"instanceId"];
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//[apiConfig setApiKeyPrefix:@"Bearer" forApiKeyIdentifier:@"instanceId"];

// Configure API key authorization: (authentication scheme: token)
[apiConfig setApiKey:@"YOUR_API_KEY" forApiKeyIdentifier:@"token"];
// Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//[apiConfig setApiKeyPrefix:@"Bearer" forApiKeyIdentifier:@"token"];


OAIBanSettings* banSettings = [[OAIBanSettings alloc] init]; // 

OAIClass6BanApi*apiInstance = [[OAIClass6BanApi alloc] init];

// Set settings
[apiInstance setBanSettingsWithBanSettings:banSettings
          completionHandler: ^(OAIBanSettings* output, NSError* error) {
                        if (output) {
                            NSLog(@"%@", output);
                        }
                        if (error) {
                            NSLog(@"Error calling OAIClass6BanApi->setBanSettings: %@", error);
                        }
                    }];
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **banSettings** | [**OAIBanSettings***](OAIBanSettings.md)|  | 

### Return type

[**OAIBanSettings***](OAIBanSettings.md)

### Authorization

[instanceId](../README.md#instanceId), [token](../README.md#token)

### HTTP request headers

 - **Content-Type**: application/json, application/x-www-form-urlencoded
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

